**STRUCT**

# `Signal`

A type that signalizes an action.

## Properties
### `boolean`

An action is signalized by toggling a boolean to `true` and back to `false`.

### `id`

A signal has a unique identifier.

### `update`

Whether the action has caused an update.

## Methods
### `init()`

Initialize a signal.

### `signal()`

Activate a signal.
